class Infragistics.Win.UltraWinSchedule.UltraCalendarInfo
inherits System.ComponentModel.Component:

   define property Appointments as Infragistics.Win.UltraWinSchedule.AppointmentsCollection
      get.

   define property SelectedAppointments as Infragistics.Win.UltraWinSchedule.AppointmentsCollection
      get.

   define property FirstDayOfWeek as Infragistics.Win.UltraWinSchedule.FirstDayOfWeek
      get.
      set.

   define property Owners as Infragistics.Win.UltraWinSchedule.OwnersCollection
      get.

   define property ActiveDay as Infragistics.Win.UltraWinSchedule.Day
      get.
      set.

   define property DataBindingsForAppointments as Infragistics.Win.UltraWinSchedule.AppointmentsDataBinding
      get.

   define property DataBindingsForOwners as Infragistics.Win.UltraWinSchedule.OwnersDataBinding
      get.

   define property SelectedDateRanges as Infragistics.Win.UltraWinSchedule.SelectedDateRanges
      get.

   define property LogicalDayOffset as System.TimeSpan
      get.
      set.

   define property LogicalDayDuration as System.TimeSpan
      get.
      set.

   define property DaysOfWeek as Infragistics.Win.UltraWinSchedule.DayOfWeek extent
      get.

   method public datetime GetDateForFirstDayOfWeek(input date as datetime):
   end method.

   define property SelectTypeDay as Infragistics.Win.UltraWinSchedule.SelectType
      get.
      set.

   define event BeforeDisplayAppointmentDialog delegate Infragistics.Win.UltraWinSchedule.DisplayAppointmentDialogEventHandler.

   define event AfterCloseAppointmentDialog delegate Infragistics.Win.UltraWinSchedule.AppointmentEventHandler.

   define event AfterSelectedAppointmentsChange delegate System.EventHandler.

end class.