
class Progress.Database.TempTableInfo:

   define public static property ArchiveIndexStatistics as logical
      get.
   
   define public static property TempTablePeak as integer
      get.
   
   define public static property ArchiveTableStatistics as logical
      get.
   
   define public static property TempTableCount as integer
      get.
   
   method public static logical GetIndexInfoByID(INPUT index-id AS INTEGER,
                                                 OUTPUT index-name AS CHARACTER,
                                                 OUTPUT proc-name AS CHARACTER):
   end method.
   
   method public static logical GetIndexInfoByID(INPUT index-id AS INTEGER,
                                                 OUTPUT index-name AS CHARACTER,
                                                 OUTPUT table-handle AS HANDLE,
                                                 OUTPUT proc-name AS CHARACTER):
   end method.
   
   method public static logical GetTableInfoByID(INPUT temp-table-id AS INTEGER,
                                                 OUTPUT table-name AS CHARACTER,
                                                 OUTPUT proc-name AS CHARACTER):
   end method.
   
   method public static logical GetTableInfoByID(INPUT temp-table-id AS INTEGER,
                                                 OUTPUT table-handle AS HANDLE,
                                                 OUTPUT proc-name AS CHARACTER):
   end method.

   method public static handle GetTableStatHistoryHandle():
   end method.

   method public static handle GetIndexStatHistoryHandle():
   end method.

   method public static handle GetTableInfoByPosition(INPUT element AS INTEGER,
                                                      OUTPUT table-name AS CHARACTER,
                                                      OUTPUT proc-name AS CHARACTER):
   end method.

   method public static handle GetTableInfoByPosition(INPUT element AS INTEGER,
                                                      OUTPUT table-handle AS HANDLE,
                                                      OUTPUT proc-name AS CHARACTER):
   end method.

   method public static handle GetVSTHandle(INPUT VST-ID AS INTEGER):
   end method.

end class.
